summaryrefslogtreecommitdiffstats
path: root/deps/mlt/mlt.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-07-31 16:13:18 +0200
committer Eric Hameleers <alien@slackware.com>2020-07-31 16:13:18 +0200
commit703149752c6265b36973d2c1f0f5a69721e3128a (patch)
tree7ded0d801771d5705f48ffbfb48f37dd4829439e /deps/mlt/mlt.SlackBuild
parentdd005500c624d127321ff3fe14a0c29bfa8d67f7 (diff)
parentcd7ff1719433fbb3b6a8304596be173bc1b91b00 (diff)
downloadktown-master.tar.gz
ktown-master.tar.xz
Merge branch 'elogind'HEADmaster
Diffstat (limited to 'deps/mlt/mlt.SlackBuild')
-rwxr-xr-xdeps/mlt/mlt.SlackBuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/deps/mlt/mlt.SlackBuild b/deps/mlt/mlt.SlackBuild
index 361bcae..e6139cb 100755
--- a/deps/mlt/mlt.SlackBuild
+++ b/deps/mlt/mlt.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mlt
VERSION=${VERSION:-6.20.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
PYTHONSITEPKG=$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
@@ -84,6 +84,10 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Apply patches:
+# Make mlt compile against Qt 5.15:
+cat $CWD/patches/mlt_qt515.patch | patch -p1 --verbose || exit 1
+
# Fix bogus permissions:
chown -R root:root .
find . \